package cc.niushuai.dididone.biz.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import cc.niushuai.dididone.util.Snowflake;

@Entity(tableName = "t_project")
public class Project {

    @PrimaryKey
    private Long id;
    @ColumnInfo(name = "name")
    private String name;
    @ColumnInfo(name = "icon")
    private String icon;
    @ColumnInfo(name = "icon_color")
    private Integer iconColor;
    @ColumnInfo(name = "create_date")
    private Long createDate;
    @ColumnInfo(name = "deleted")
    private Integer deleted;

    public Project() {
        this.id = Snowflake.next_id();
        this.deleted = 0;
        this.createDate = System.currentTimeMillis();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getIconColor() {
        return iconColor;
    }

    public void setIconColor(Integer iconColor) {
        this.iconColor = iconColor;
    }

    public Long getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Long createDate) {
        this.createDate = createDate;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
}
