package cc.niushuai.dididone.biz.entity;

import java.util.ArrayList;
import java.util.List;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;

public class ProjectRecord extends Project {
    private List<Record> recordList;
    public ProjectRecord(Project project, List<Record> recordList) {
        if (null == project) {
            throw new IllegalArgumentException("project should not be null");
        }

        BeanUtil.copyProperties(project, this);

        if (CollUtil.isEmpty(recordList)) {
            this.recordList = new ArrayList<>(0);
        } else {
            this.recordList = recordList;
        }
    }

    public List<Record> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<Record> recordList) {
        this.recordList = recordList;
    }
}
