package cc.niushuai.dididone.ui.statistic;

import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;
import androidx.fragment.app.FragmentStatePagerAdapter;

import java.util.List;

import cc.niushuai.dididone.ui.statistic.charts.BaseChartFragment;

public class MyPagerAdapter extends FragmentStatePagerAdapter {
    List<BaseChartFragment> fragmentList;

    //构造方法，方便之后赋值调用
    public MyPagerAdapter(FragmentManager fm, List<BaseChartFragment> fragmentList){
        super(fm);
        this.fragmentList = fragmentList;
    }

    //根据Item的位置返回对应位置的Fragment，绑定item和Fragment
    @NonNull
    @Override
    public BaseChartFragment getItem(int position) {
        return fragmentList.get(position);
    }

    //设置item的数量
    
    @Override
    public int getCount() {
        return fragmentList.size();
    }
}