package cc.niushuai.dididone.ui.statistic.charts;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.List;

import cc.niushuai.dididone.biz.entity.Record;
import cc.niushuai.dididone.ui.base.BaseFragment;
import cc.niushuai.dididone.util.XLog;
import cn.hutool.core.date.DateUtil;

public class BaseChartFragment extends BaseFragment {

    private String mTitle;

    private List<Record> recordList;

    public BaseChartFragment(String mTitle) {
        this.mTitle = mTitle;
    }

    public String getTitle() {
        return mTitle;
    }

    public List<Record> getRecordList() {
        return recordList;
    }

    protected long dateStr2mills(String date) {
        return DateUtil.parseDate(date).getTime();
    }

}
