package cc.niushuai.dididone.biz.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import cc.niushuai.dididone.util.Snowflake;

@Entity(tableName = "t_record")
public class Record {

    @PrimaryKey
    private Long id;
    @ColumnInfo(name = "name")
    private String name;
    @ColumnInfo(name = "check_date")
    private Long checkDate;
    @ColumnInfo(name = "project_id")
    private Long projectId;
    @ColumnInfo(name = "description")
    private String description;
    @ColumnInfo(name = "create_date")
    private Long createDate;
    @ColumnInfo(name = "deleted")
    private Integer deleted;

    public Record() {
        this.id = Snowflake.next_id();
        this.deleted = 0;
        this.createDate = System.currentTimeMillis();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Long checkDate) {
        this.checkDate = checkDate;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Long createDate) {
        this.createDate = createDate;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
}
