package cc.niushuai.dididone.biz.roomx;

import androidx.room.RoomDatabase;

import cc.niushuai.dididone.biz.dao.ProjectDao;
import cc.niushuai.dididone.biz.dao.RecordDao;
import cc.niushuai.dididone.biz.dao.SavedIconDao;
import cc.niushuai.dididone.biz.entity.Project;
import cc.niushuai.dididone.biz.entity.Record;
import cc.niushuai.dididone.biz.entity.SavedIcon;


@androidx.room.Database(entities = {Record.class, Project.class, SavedIcon.class}, version = 1)
public abstract class Database extends RoomDatabase {

    public abstract RecordDao recordDao();

    public abstract ProjectDao projectDao();

    public abstract SavedIconDao savedIconDao();
}
